## freespacenotifier 0.0svn1061317

=== CMakeLists.txt ===
project(playground-base)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${playground-base_SOURCE_DIR}/cmake/modules)

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include(MacroOptionalAddSubdirectory)

macro_optional_add_subdirectory(doc)

macro_optional_add_subdirectory(attica)
macro_optional_add_subdirectory( raptormenu )
macro_optional_add_subdirectory(kio_sysinfo)
macro_optional_add_subdirectory(nepomuk-kde)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})

macro_optional_add_subdirectory(kconfig)
macro_optional_add_subdirectory(kdisplay)
macro_optional_add_subdirectory(plasma)
macro_optional_add_subdirectory(konq-plugins)
macro_optional_add_subdirectory(blazer)
macro_optional_add_subdirectory(device-automounter)
if(CMAKE_SOURCE_DIR STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")
    macro_display_feature_log()
endif(CMAKE_SOURCE_DIR STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")
macro_optional_add_subdirectory(freespacenotifier)

=== freespacenotifier/CMakeLists.txt ===

########### next target ###############

set(kded_freespacenotifier_SRCS freespacenotifier.cpp module.cpp)

kde4_add_ui_files(kded_freespacenotifier_SRCS freespacenotifier_prefs_base.ui)

kde4_add_kcfg_files(kded_freespacenotifier_SRCS settings.kcfgc)

kde4_add_plugin(kded_freespacenotifier ${kded_freespacenotifier_SRCS})

target_link_libraries(kded_freespacenotifier ${KDE4_KIO_LIBS} )

install(TARGETS kded_freespacenotifier  DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES freespacenotifier.desktop  DESTINATION  ${SERVICES_INSTALL_DIR}/kded )
install( FILES freespacenotifier.notifyrc  DESTINATION  ${DATA_INSTALL_DIR}/freespacenotifier )
install( FILES freespacenotifier.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )

## freespacenotifier 0.0.1~svn1125155

=== debian/changelog ===
freespacenotifier (0.0.1~svn1125155-1) unstable; urgency=low

  * Initial release (Closes: #582135)
  * Raise the warning limit a bit.

 -- Sune Vuorela <sune@debian.org>  Tue, 18 May 2010 15:22:39 +0000

=== debian/control ===
Source: freespacenotifier
Section: kde
Priority: extra
Maintainer: Sune Vuorela <sune@debian.org>
Build-Depends: debhelper (>= 7.0.50~), cmake, kdelibs5-dev (>> 4:4.4)
Standards-Version: 3.8.4

Package: freespacenotifier
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: free space notification module for KDE
 This module notifies the user when space is running out in 
 /home or in one of the other directories, where you can configure 
 freespacenotifier to monitor.
 .
 More technically, this package provides a module for kded, the KDE Daemon
